<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCertificateMasterTable extends Migration
{
    public function up()
    {
        Schema::create('certificate_master', function (Blueprint $table) {
            $table->bigIncrements('CM_Id');
            $table->string('Certificate_Type', 100);
            $table->date('Validity'); // ✅ Date type

            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down()
    {
        Schema::dropIfExists('certificate_master');
    }
}
